> ## Documentation Index
> Fetch the complete documentation index at: https://help.vori.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List stores

> Lists the stores you can access, newest first.



## OpenAPI

````yaml /api/openapi.json get /v1/stores
openapi: 3.0.0
info:
  title: Vori API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.vori.com
    description: production
security: []
tags: []
paths:
  /v1/stores:
    get:
      tags:
        - Stores
      summary: List stores
      description: Lists the stores you can access, newest first.
      operationId: listStores
      parameters:
        - name: ending_before
          required: false
          in: query
          description: Return records that precede the record with this ID, in list order.
          schema:
            type: string
            pattern: ^[0-9]+$
        - name: limit
          required: false
          in: query
          description: Maximum number of records to return.
          schema:
            minimum: 1
            maximum: 100
            default: 20
            type: integer
        - name: starting_after
          required: false
          in: query
          description: Return records that follow the record with this ID, in list order.
          schema:
            type: string
            pattern: ^[0-9]+$
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StoreList'
        '400':
          description: ''
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ConflictingListParametersError'
                  - $ref: '#/components/schemas/InvalidListCursorError'
        '403':
          description: ''
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/InsufficientPermissionsError'
                  - $ref: '#/components/schemas/NoBannerAssociationError'
      security:
        - bearer: []
components:
  schemas:
    StoreList:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Store'
        has_more:
          type: boolean
          description: Whether more records follow this page.
      required:
        - data
        - has_more
    ConflictingListParametersError:
      type: object
      properties:
        error_code:
          type: string
          enum:
            - conflicting_list_parameters
      required:
        - error_code
    InvalidListCursorError:
      type: object
      properties:
        error_code:
          type: string
          enum:
            - invalid_list_cursor
      required:
        - error_code
    InsufficientPermissionsError:
      type: object
      properties:
        error_code:
          type: string
          enum:
            - insufficient_permissions
        error_details:
          $ref: '#/components/schemas/InsufficientPermissionsErrorDetails'
      required:
        - error_code
        - error_details
    NoBannerAssociationError:
      type: object
      properties:
        error_code:
          type: string
          enum:
            - no_banner_association
      required:
        - error_code
    Store:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the store.
        address:
          type: string
          nullable: true
          description: Formatted street address for the store.
        name:
          type: string
          description: Human-readable store name.
        supports_wic:
          type: boolean
          description: Whether the store accepts WIC as a payment method.
      description: A physical store location operating under a banner.
      required:
        - id
        - address
        - name
        - supports_wic
    InsufficientPermissionsErrorDetails:
      type: object
      properties:
        action:
          allOf:
            - $ref: '#/components/schemas/Action'
        resource:
          allOf:
            - $ref: '#/components/schemas/Resource'
      required:
        - action
        - resource
    Action:
      type: string
      enum:
        - '*'
        - cancel
        - check_in
        - create
        - delete
        - read
        - record_events
        - refund
        - restart
        - update
        - void
    Resource:
      type: string
      enum:
        - '*'
        - accounting_integration
        - agent_chats
        - api_clients
        - asynchronous_tasks
        - banners
        - blackhawk_transactions
        - capabilities
        - coupons
        - custom_quick_actions
        - datacap_transactions
        - departments
        - discounts
        - ditto_auth_tokens
        - edge_agents
        - electronic_shelf_labels
        - employees
        - files
        - food_modifiers
        - gift_cards
        - gl_code_mappings
        - house_accounts
        - inventory
        - inventory_sessions
        - invoices
        - item_modifiers
        - label_dimension_sets
        - label_sheet_profiles
        - label_stock_products
        - lanes
        - loyalty_bonuses
        - loyalty_campaigns
        - loyalty_rewards
        - notification_templates
        - offers
        - order_guides
        - pos_banner_configurations
        - pos_orders
        - pos_tills
        - price_tags
        - product_ranges
        - products
        - promotions
        - purchase_orders
        - receiving
        - reporting
        - revision_sessions
        - revisions
        - roles
        - shopper_tags
        - shoppers
        - store_product_inventory_counts
        - store_product_lots
        - store_product_rules
        - store_product_tag_templates
        - store_snap_incentive_program_coupons
        - store_vendor_merge_requests
        - store_vendor_product_merge_requests
        - store_vendor_products
        - store_vendors
        - stores
        - tag_printings
        - tag_template_presets
        - tag_templates
        - tax_rates
        - users
        - variable_weights
        - vendor_merge_requests
        - vendor_product_merge_requests
        - vendors
        - wallet_payments
        - wic_products
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````

## Related topics

- [List store departments](/api-reference/departments/list-store-departments.md)
- [List store products](/api-reference/store-products/list-store-products.md)
- [List store product inventory](/api-reference/inventory/list-store-product-inventory.md)
